in scala.collection.mutable
class BitSet

@scala.serializable
`class` BitSet
  `extends` scala.collection.BitSet
  `with` scala.collection.mutable.Set[scala.Int]
  `with` scala.ScalaObject

  The class `BitSet` implements mutable, resizable Bit sets

Author:
  Burak Emir, Nikolay Mihaylov
Version:
  1.1

Constructor Summary
| `def` this default constructor, initial size of 512 bits.
| `def` this (initSize: scala.Int)

Var Summary
`protected` | `var` arr : scala.Array[scala.Int]
| `var` capacity : scala.Int
| `var` size : scala.Int

Def Summary
| `def` += (i: scala.Int) : scala.Unit Sets `i-th` bit to true. No restriction on `i`
| `def` -= (i: scala.Int) : scala.Unit Clears the `i`-th bit.
`override` | `def` clear : scala.Unit Clears all bits of the set.
`override` | `def` clone : scala.collection.mutable.BitSet
| `def` ensureCapacity (n: scala.Int) : scala.Unit Ensures that this bitset can store at least `n` bits.
| `def` toImmutable : scala.collection.immutable.BitSet

Def inherited from scala.collection.BitSet
arr , capacity, contains, elements, equals, hashCode, mask, memsize, nbits, offset, size, subsetOf, toArray

Def inherited from scala.collection.mutable.Set[scala.Int]
+ , +, ++, ++, ++=, ++=, +=, +=, -, -, --, --, --=, --=, -=, -=, <<, clear, clone, excl, incl, intersect, retain, super$clone, update

Constructor Detail

`def` this

  default constructor, initial size of 512 bits.

`def` this (initSize: scala.Int)

Parameters:
  `initSize: -` initial size in bits

Var Detail

`protected var` arr : scala.Array[scala.Int]

`var` capacity : scala.Int

`var` size : scala.Int

Def Detail

`def` += (i: scala.Int): scala.Unit

  Sets `i-th` bit to true. No restriction on `i`

`def` -= (i: scala.Int): scala.Unit

  Clears the `i`-th bit.

Parameters:
  `i -` the `i`-th element of the bit set.

`override def` clear : scala.Unit

  Clears all bits of the set.

`override def` clone : scala.collection.mutable.BitSet

`def` ensureCapacity (n: scala.Int): scala.Unit

  Ensures that this bitset can store at least `n` bits.

Parameters:
  `n -` ...

`def` toImmutable : scala.collection.immutable.BitSet